Drupal.carouselPresets = {
  slideshow: {
    slidesToShow: 1,
    slidesToScroll: 1,
    slide: ':not(.slick-controls)',
    variableWidth: true,
    rows: 0,
    vertical: false,
    arrows: true,
    prevArrow: '<button class="slick-prev" type="button">←</button>',
    nextArrow: '<button class="slick-next" type="button">→</button>',
    dots: false,
    draggable: false,
    swipe: true,
    infinite: false,
    autoplay: true,
    autoplaySpeed: 8000,
    speed: 200,
    fade: false,
    initEvenWithSingleSlide: false, // Custom option
  },
  slider2: {
    slidesToShow: 2,
    slidesToScroll: 2,
    slide: ':not(.slick-controls)',
    variableWidth: true,
    rows: 0,
    vertical: false,
    arrows: true,
    prevArrow: '<button class="slick-prev" type="button">←</button>',
    nextArrow: '<button class="slick-next" type="button">→</button>',
    dots: false,
    draggable: false,
    swipe: true,
    infinite: false,
    autoplay: false,
    autoplaySpeed: 8000,
    speed: 200,
    fade: false,
    initEvenWithSingleSlide: false, // Custom option
    responsive: [
      // <=640
      {
        breakpoint: 640,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        },
      },
    ],
  },
  slider3: {
    slidesToShow: 3,
    slidesToScroll: 3,
    slide: ':not(.slick-controls)',
    variableWidth: true,
    rows: 0,
    vertical: false,
    arrows: true,
    prevArrow: '<button class="slick-prev" type="button">←</button>',
    nextArrow: '<button class="slick-next" type="button">→</button>',
    dots: false,
    moveNavigationAfter: null,
    draggable: false,
    swipe: true,
    infinite: false,
    autoplay: false,
    autoplaySpeed: 8000,
    speed: 200,
    fade: false,
    initEvenWithSingleSlide: false, // Custom option
    responsive: [
      // <=720
      {
        breakpoint: 720,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 2,
        },
      },
      // <=480
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        },
      },
    ],
  },
};
